f0r_plugin_info Struct Reference

`#include <frei0r.h>`

## Data Fields

const char * | name
const char * | author
int | plugin_type
int | color_model
int | frei0r_version
int | major_version
int | minor_version
int | num_params
const char * | explanation

## Detailed Description

The f0r_plugin_info_t structure is filled in by the plugin to tell the application about its name, type, number of parameters, and version.

An application should ignore (i.e. not use) frei0r effects that have unknown values in the plugin_type or color_model field. It should also ignore effects with a too high frei0r_version.

This is necessary to be able to extend the frei0r spec (e.g. by adding new color models or plugin types) in a way that does not result in crashes when loading effects that make use of these extensions into an older application.

All strings are unicode, 0-terminated, and the encoding is utf-8.

Definition at line 341 of file frei0r.h.

## Field Documentation

## author

const char* f0r_plugin_info::author

The plugin author

Definition at line 344 of file frei0r.h.

## color_model

int f0r_plugin_info::color_model

The color model used

Definition at line 349 of file frei0r.h.

## explanation

const char* f0r_plugin_info::explanation

An optional explanation string

Definition at line 354 of file frei0r.h.

## frei0r_version

int f0r_plugin_info::frei0r_version

The frei0r major version this plugin is built for

Definition at line 350 of file frei0r.h.

## major_version

int f0r_plugin_info::major_version

The major version of the plugin

Definition at line 351 of file frei0r.h.

## minor_version

int f0r_plugin_info::minor_version

The minor version of the plugin

Definition at line 352 of file frei0r.h.

## name

const char* f0r_plugin_info::name

The (short) name of the plugin

Definition at line 343 of file frei0r.h.

## num_params

int f0r_plugin_info::num_params

The number of parameters of the plugin

Definition at line 353 of file frei0r.h.

## plugin_type

int f0r_plugin_info::plugin_type

The plugin type

See also
  Type of the Plugin

Definition at line 348 of file frei0r.h.

The documentation for this struct was generated from the following file:

- frei0r.h